import {ADDRESS} from "./constants.js";

let counter = 0;

window.onload = () => initCounter();
window.makeIncrement = () => makeIncrement();

function updateText() {
    document.getElementById("counter").innerHTML = counter
}

async function makeIncrement() {
    fetch(`http://${ADDRESS}/counter`, {method: 'POST'})
        .then(response => { //TODO verify if it's not an error
            counter++
            updateText()
        })
}

function initCounter() {
    fetch(`http://${ADDRESS}/counter`, {method: 'GET'})
        .then(response => response.json())
        .then(json => {
            counter = json.value
            updateText()
        })
}
